RDS Default Settings
Retrieve the RD Session Host Default settings.
Site ID for which to retrieve RD Session Host Default settings (optional)
Success
RDS Default Site Settings
The port number of RD Session Host agent.
Maximum number of session a RDS can have.
Disconnect active session after (in seconds). 0 for 'Never'.
Logoff disconnected session after (in seconds). 0 for 'Never'; 1 for 'Immediate'.
URL and Mail Redirection values.
Specifies if 'Support Shell URL Namespace Objects' option is enabled or disabled.
The preferred Connection Broker ID.
Specifies if the 'Enable Drive Redirection Cache' option is enabled or disabled.
Specifies if 'Allow 2XRemoteExec to send command to the client' option is enabled or disabled.
Specifies if 'Application Monitoring' option is enabled or disabled.
Specifies if 'Use RemoteApps if available' option is enables or disabled.
Specifies if 'Allow file transfer' option is enables or disabled. (deprecated)
File Transfer Control modes.
Location where the File Transfer takes place, if and where it is allowed.
Lock Location where the File Transfer takes place, if and where it is allowed.
Specifies if 'Allow local to remote drag and drop' option is enables or disabled. (deprecated)
Drag and drop redirection values.
Manage RDP transport protocol.
Printer Name Format
Specifies if 'Remove client name from printer name' option is enabled or disabled.
Specifies if 'Remove session number from printer name' optionis enabled or disabled.
User Profile Technology values.
User Profile Disk Mode.
Specifies the max user profile disk size (in GB).
Specifies the User Profile Disk path.
User Profile Disk Roaming Mode.
Specifies the UPD 'Include' folder paths.
Specifies the UPD 'Include' file paths.
Specifies the UPD 'Exclude' folder paths.
Specifies the UPD 'Exclude' file paths.
Specifies if 'Restrict direct desktop access to the following users' option is enabled or disabled.
Specifies the list of users for the RestrictDesktopAccess option (the option should be enabled). The list can contain user account names and user SIDs.
Site ID
Unauthorized
Not Found
GET /api/RDSDefaultSettings HTTP/1.1
Accept: */*
{
"port": 1,
"maxSessions": 1,
"disconnectActiveSessionAfter": 1,
"logoffDisconnectedSessionAfter": 1,
"allowURLAndMailRedirection": [
"0 = Disabled",
"1 = Enabled",
"2 = EnabledWithAppRegistration"
],
"supportShellURLNamespaceObjects": true,
"preferredBrokerId": 1,
"enableDriveRedirectionCache": true,
"allowRemoteExec": true,
"enableAppMonitoring": true,
"useRemoteApps": true,
"allowFileTransfer": true,
"fileTransferMode": [
"0 = Disabled",
"1 = ClientToServer",
"2 = ServerToClient",
"3 = Bidirectional"
],
"fileTransferLocation": "text",
"fileTransferLockLocation": true,
"allowDragAndDrop": true,
"dragAndDropMode": [
"0 = Disabled",
"1 = ClientToServer",
"2 = ServerToClient",
"3 = Bidirectional"
],
"manageRDPTransportProtocol": [
"0 = Disabled",
"1 = BothUDPTCP",
"2 = OnlyTCP",
"3 = EitherUDPTCP"
],
"printerNameFormat": [
"0 = PrnFormat_PRN_CMP_SES",
"1 = PrnFormat_SES_CMP_PRN",
"2 = PrnFormat_PRN_REDSES"
],
"removeClientNameFromPrinterName": true,
"removeSessionNumberFromPrinterName": true,
"technology": [
"0 = DoNotManage",
"1 = UPD",
"2 = FSLogix"
],
"fsLogix": {
"profileContainer": {
"enabled": true,
"locationType": [
"0 = SMBLocation",
"1 = CloudCache"
],
"vhdLocations": [
"text"
],
"ccdLocations": [
"text"
],
"profileDiskFormat": [
"0 = VHD",
"1 = VHDX"
],
"allocationType": [
"0 = Dynamic",
"1 = Full"
],
"defaultSize": 1,
"userInclusionList": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
],
"userExclusionList": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
],
"cloudCache": {
"useMaxCacheSizeInMBs": true,
"maxCacheSizeInMBs": 1,
"useClearCacheOnLogoff": true,
"clearCacheOnLogoff": [
"0 = Disable",
"1 = Enable"
],
"useHealthyProvidersRequiredForRegister": true,
"healthyProvidersRequiredForRegister": 1,
"useHealthyProvidersRequiredForUnregister": true,
"healthyProvidersRequiredForUnregister": 1,
"useUnregisterTimeout": true,
"unregisterTimeout": 1,
"useClearCacheOnForcedUnregister": true,
"clearCacheOnForcedUnregister": [
"0 = Disable",
"1 = Enable"
]
},
"customizeProfileFolders": true,
"excludeCommonFolders": [
"1 = Contacts",
"2 = Desktop",
"4 = Documents",
"8 = Links",
"16 = MusicPodcasts",
"32 = PicturesVideos",
"64 = FoldersLowIntegProcesses",
"128 = Downloads"
],
"folderInclusionList": [
"text"
],
"folderExclusionList": [
{
"folder": "text",
"excludeFolderCopy": [
"0 = None",
"1 = CopyBase",
"2 = CopyBack"
]
}
],
"advancedSettings": {
"useLockedRetryCount": true,
"lockedRetryCount": 1,
"useLockedRetryInterval": true,
"lockedRetryInterval": 1,
"useAccessNetworkAsComputerObject": true,
"accessNetworkAsComputerObject": [
"0 = Disable",
"1 = Enable"
],
"useAttachVHDSDDL": true,
"attachVHDSDDL": "text",
"useDiffDiskParentFolderPath": true,
"diffDiskParentFolderPath": "text",
"useFlipFlopProfileDirectoryName": true,
"flipFlopProfileDirectoryName": [
"0 = Disable",
"1 = Enable"
],
"useNoProfileContainingFolder": true,
"noProfileContainingFolder": [
"0 = Disable",
"1 = Enable"
],
"useOutlookCachedMode": true,
"outlookCachedMode": [
"0 = Disable",
"1 = Enable"
],
"usePreventLoginWithFailure": true,
"preventLoginWithFailure": [
"0 = Disable",
"1 = Enable"
],
"usePreventLoginWithTempProfile": true,
"preventLoginWithTempProfile": [
"0 = Disable",
"1 = Enable"
],
"useReAttachRetryCount": true,
"reAttachRetryCount": 1,
"useReAttachIntervalSeconds": true,
"reAttachIntervalSeconds": 1,
"useRemoveOrphanedOSTFilesOnLogoff": true,
"removeOrphanedOSTFilesOnLogoff": [
"0 = Disable",
"1 = Enable"
],
"useRoamSearch": true,
"roamSearch": [
"0 = Disable",
"1 = SingleUser",
"2 = MultiUser"
],
"useSIDDirNameMatch": true,
"sidDirNameMatch": "text",
"useSIDDirNamePattern": true,
"sidDirNamePattern": "text",
"useSIDDirSDDL": true,
"sidDirSDDL": "text",
"useVHDNameMatch": true,
"vhdNameMatch": "text",
"useVHDNamePattern": true,
"vhdNamePattern": "text",
"useVHDXSectorSize": true,
"vhdxSectorSize": [
"0 = SystemDefault",
"512 = Size_512",
"4096 = Size_4096"
],
"useVolumeWaitTimeMS": true,
"volumeWaitTimeMS": 1,
"useIgnoreNonAVD": true,
"ignoreNonAVD": [
"0 = AnySession",
"1 = AVDSessions"
],
"useRedirectType": true,
"redirectType": [
"1 = Legacy",
"2 = Advanced"
],
"useKeepLocalDir": true,
"keepLocalDir": [
"0 = Disable",
"1 = Enable"
],
"useDeleteLocalProfileWhenVHDShouldApply": true,
"deleteLocalProfileWhenVHDShouldApply": [
"0 = Disable",
"1 = Enable"
],
"useProfileDirSDDL": true,
"profileDirSDDL": "text",
"useProfileType": true,
"profileType": [
"0 = NormalProfile",
"1 = OnlyRWProfile",
"2 = OnlyROProfile",
"3 = RWROProfile"
],
"useSetTempToLocalPath": true,
"setTempToLocalPath": [
"0 = TakeNoAction",
"1 = RedirectTempAndTmp",
"2 = RedirectINetCache",
"3 = RedirectTempTmpAndINetCache"
],
"useCleanOutNotifications": true,
"cleanOutNotifications": [
"0 = Disable",
"1 = Enable"
],
"useInstallAppxPackages": true,
"installAppxPackages": [
"0 = Disable",
"1 = Enable"
],
"useRebootOnUserLogoff": true,
"rebootOnUserLogoff": [
"0 = Disable",
"1 = Enable"
],
"useRoamIdentity": true,
"roamIdentity": [
"0 = Disable",
"1 = Enable"
],
"useShutdownOnUserLogoff": true,
"shutdownOnUserLogoff": [
"0 = Disable",
"1 = Enable"
]
}
},
"officeContainer": {
"enabled": true,
"locationType": [
"0 = SMBLocation",
"1 = CloudCache"
],
"vhdLocations": [
"text"
],
"ccdLocations": [
"text"
],
"profileDiskFormat": [
"0 = VHD",
"1 = VHDX"
],
"allocationType": [
"0 = Dynamic",
"1 = Full"
],
"defaultSize": 1,
"userInclusionList": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
],
"userExclusionList": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
],
"cloudCache": {
"useMaxCacheSizeInMBs": true,
"maxCacheSizeInMBs": 1,
"useClearCacheOnLogoff": true,
"clearCacheOnLogoff": [
"0 = Disable",
"1 = Enable"
],
"useHealthyProvidersRequiredForRegister": true,
"healthyProvidersRequiredForRegister": 1,
"useHealthyProvidersRequiredForUnregister": true,
"healthyProvidersRequiredForUnregister": 1,
"useUnregisterTimeout": true,
"unregisterTimeout": 1,
"useClearCacheOnForcedUnregister": true,
"clearCacheOnForcedUnregister": [
"0 = Disable",
"1 = Enable"
]
},
"advancedSettings": {
"useLockedRetryCount": true,
"lockedRetryCount": 1,
"useLockedRetryInterval": true,
"lockedRetryInterval": 1,
"useAccessNetworkAsComputerObject": true,
"accessNetworkAsComputerObject": [
"0 = Disable",
"1 = Enable"
],
"useAttachVHDSDDL": true,
"attachVHDSDDL": "text",
"useDiffDiskParentFolderPath": true,
"diffDiskParentFolderPath": "text",
"useFlipFlopProfileDirectoryName": true,
"flipFlopProfileDirectoryName": [
"0 = Disable",
"1 = Enable"
],
"useNoProfileContainingFolder": true,
"noProfileContainingFolder": [
"0 = Disable",
"1 = Enable"
],
"useOutlookCachedMode": true,
"outlookCachedMode": [
"0 = Disable",
"1 = Enable"
],
"usePreventLoginWithFailure": true,
"preventLoginWithFailure": [
"0 = Disable",
"1 = Enable"
],
"usePreventLoginWithTempProfile": true,
"preventLoginWithTempProfile": [
"0 = Disable",
"1 = Enable"
],
"useReAttachRetryCount": true,
"reAttachRetryCount": 1,
"useReAttachIntervalSeconds": true,
"reAttachIntervalSeconds": 1,
"useRemoveOrphanedOSTFilesOnLogoff": true,
"removeOrphanedOSTFilesOnLogoff": [
"0 = Disable",
"1 = Enable"
],
"useRoamSearch": true,
"roamSearch": [
"0 = Disable",
"1 = SingleUser",
"2 = MultiUser"
],
"useSIDDirNameMatch": true,
"sidDirNameMatch": "text",
"useSIDDirNamePattern": true,
"sidDirNamePattern": "text",
"useSIDDirSDDL": true,
"sidDirSDDL": "text",
"useVHDNameMatch": true,
"vhdNameMatch": "text",
"useVHDNamePattern": true,
"vhdNamePattern": "text",
"useVHDXSectorSize": true,
"vhdxSectorSize": [
"0 = SystemDefault",
"512 = Size_512",
"4096 = Size_4096"
],
"useVolumeWaitTimeMS": true,
"volumeWaitTimeMS": 1,
"useIgnoreNonAVD": true,
"ignoreNonAVD": [
"0 = AnySession",
"1 = AVDSessions"
],
"useRedirectType": true,
"redirectType": [
"1 = Legacy",
"2 = Advanced"
],
"useIncludeOfficeActivation": true,
"includeOfficeActivation": [
"0 = Disable",
"1 = Enable"
],
"useIncludeOneDrive": true,
"includeOneDrive": [
"0 = Disable",
"1 = Enable"
],
"useIncludeOneNote": true,
"includeOneNote": [
"0 = Disable",
"1 = Enable"
],
"useIncludeOneNoteUWP": true,
"includeOneNoteUWP": [
"0 = Disable",
"1 = Enable"
],
"useIncludeOutlook": true,
"includeOutlook": [
"0 = Disable",
"1 = Enable"
],
"useIncludeOutlookPersonalization": true,
"includeOutlookPersonalization": [
"0 = Disable",
"1 = Enable"
],
"useIncludeSharepoint": true,
"includeSharepoint": [
"0 = Disable",
"1 = Enable"
],
"useIncludeSkype": true,
"includeSkype": [
"0 = Disable",
"1 = Enable"
],
"useIncludeTeams": true,
"includeTeams": [
"0 = Disable",
"1 = Enable"
],
"useMirrorLocalOSTToVHD": true,
"mirrorLocalOSTToVHD": [
"0 = DoNothing",
"1 = Copy",
"2 = Move"
],
"useNumSessionVHDsToKeep": true,
"numSessionVHDsToKeep": 1,
"useOutlookFolderPath": true,
"outlookFolderPath": "text",
"useRefreshUserPolicy": true,
"refreshUserPolicy": [
"0 = Disable",
"1 = Enable"
],
"useVHDAccessMode": true,
"vhdAccessMode": [
"0 = NormalDirectAccess",
"1 = DiffDiskNetwork",
"2 = DiffDiskLocal",
"3 = UniqueVHDPerSession"
]
}
},
"generalSettings": {
"appServices": {
"useCleanupInvalidSessions": true,
"cleanupInvalidSessions": [
"0 = Disable",
"1 = Enable"
],
"useRoamRecycleBin": true,
"roamRecycleBin": [
"0 = Disable",
"1 = Enable"
],
"useVHDCompactDisk": true,
"vhdCompactDisk": [
"0 = Disable",
"1 = Enable"
]
},
"cloudCacheGeneral": {
"useCacheDirectory": true,
"cacheDirectory": "text",
"useWriteCacheDirectory": true,
"writeCacheDirectory": "text",
"useProxyDirectory": true,
"proxyDirectory": "text",
"useSilenceACLWarning": true,
"silenceACLWarning": [
"0 = Disable",
"1 = Enable"
]
},
"logging": {
"logEnabled": [
"0 = Disable",
"1 = Specific",
"2 = All"
],
"logLevel": [
"0 = Debug",
"1 = Information",
"2 = Warning",
"3 = Error"
],
"logFileKeepingPeriod": 1,
"logDirectory": "text",
"robocopyLogPath": "text",
"logSpecificComponents": [
"1 = ProfileConfigTool",
"2 = IEPlugin",
"4 = RuleEditor",
"8 = JavaRuleEditor",
"16 = FSLogixAgentService",
"32 = Profile",
"64 = JavaLauncher",
"128 = OfficeContainer",
"256 = RuleCompilation",
"512 = FontVisibility",
"1024 = Network",
"2048 = PrinterVisibility",
"4096 = ADSComputerGroup",
"8192 = DriverInterface",
"16384 = WindowsSearchRoaming",
"32768 = WindowsSearchPlugin",
"65536 = ProcessStartMonitor"
]
}
}
},
"updMode": [
"0 = DoNotChange",
"1 = Enabled",
"2 = Disabled"
],
"maxUserProfileDiskSizeGB": 1,
"diskPath": "text",
"roamingMode": [
"0 = Exclude",
"2 = Include"
],
"includeFolderPath": [
"text"
],
"includeFilePath": [
"text"
],
"excludeFolderPath": [
"text"
],
"excludeFilePath": [
"text"
],
"restrictDesktopAccess": true,
"restrictedUsers": [
"text"
],
"optimization": {
"enableOptimization": true,
"optimizationType": [
"0 = Automatic",
"1 = Manual"
],
"windowsDefenderATP": {
"winDefATPTurnOffOn": [
"0 = TurnOffWindowsDefenderATP",
"1 = TurnOnWindowsDefenderATP"
],
"disableRealTimeProtection": true,
"excludeFolders": [
"text"
],
"excludeProcesses": [
"text"
],
"excludeExtension": [
"text"
]
},
"windowsComponents": {
"windowsComponentsList": [
{
"type": [
"0 = Predefined",
"1 = Custom"
],
"componentName": "text",
"displayName": "text",
"aliases": "text"
}
]
},
"windowsDefenderATPEnabled": true,
"windowsComponentsEnabled": true,
"windowsServicesEnabled": true,
"windowsScheduledTasksEnabled": true,
"windowsAdvancedOptionsEnabled": true,
"networkPerformanceEnabled": true,
"registryEnabled": true,
"visualEffectsEnabled": true,
"diskCleanupEnabled": true,
"customScriptEnabled": true,
"windowsServices": {
"windowsServicesList": [
{
"type": [
"0 = Predefined",
"1 = Custom"
],
"serviceName": "text",
"displayName": "text",
"aliases": "text"
}
]
},
"windowsAdvancedOptions": {
"partialStartLayoutContent": "text",
"hibernate": true,
"teleCollection": true,
"systemRestore": true,
"additionalErrorReport": true,
"tiles": true,
"cortana": true,
"microsoftConsumerExperience": true,
"windowsTips": true,
"commonProgramGroups": true,
"partialStartMenu": true
},
"networkPerformance": {
"dirCacheMax": 1,
"dormantFileLimit": 1,
"fileNotFoundCache": 1,
"fileInfoCache": 1,
"fileInfoCacheEnable": true,
"directoryCacheEnable": true,
"fileNotFoundCacheEnable": true,
"dormantFileLimitEnable": true,
"disableTCP": true,
"disableIPv6CompEnable": true,
"disableIPv6ToIPv4": true,
"disableIsaTap": true
},
"customScript": {
"arguments": "text",
"command": "text",
"initDir": "text",
"user": "text"
},
"diskCleanup": {
"cleanupWinSxSFolder": true,
"cleanupSystemFiles": true,
"cleanupTemporaryFileLogs": true,
"removeOneDrive": true,
"deleteUserProfiles": true
},
"visualEffects": {
"visualEffectsTypes": [
"0 = LetWindowsChooseWhatsBest",
"1 = AdjustForBestAppearance",
"2 = AdjustForBestPerformance",
"3 = Custom"
],
"animateControlSelectElements": true,
"animateWindowsWhenMinimizingMaximizing": true,
"animateTaskbar": true,
"enablePeek": true,
"fadeSlideMenus": true,
"fadeSlideToolTips": true,
"fadeOutMenuItems": true,
"saveTaskbarThumbnail": true,
"showShadowUnderMouse": true,
"shadowUnderWindows": true,
"thumbnailsInsteadOfIcons": true,
"showTranslucentSelection": true,
"showWindowsContentWhilstDragging": true,
"slideOpenComboBoxes": true,
"smoothEdgesScreenFonts": true,
"smoothScrollListBoxes": true,
"dropShadowsIcon": true
},
"windowsScheduledTasks": {
"windowsScheduledTasksList": [
{
"task": "text",
"location": "text",
"type": [
"0 = Folder",
"1 = Task"
]
}
]
},
"registry": {
"registryList": [
{
"id": 1,
"action": [
"0 = Add",
"1 = Modify",
"2 = Delete"
],
"registryName": "text",
"dwordValue": 1,
"displayName": "text",
"hiveType": [
"0 = HKEY_CURRENT_CONFIG",
"1 = HKEY_USERS",
"2 = HKEY_LOCAL_MACHINE",
"3 = HKEY_CLASSES_ROOT"
],
"path": "text",
"regType": [
"0 = REG_SZ",
"1 = REG_DWORD",
"2 = REG_QWORD",
"3 = REG_MULTI_SZ",
"4 = REG_EXPAND_SZ"
],
"stringValue": "text"
}
]
},
"uwpApps": {
"allExcept": [
"text"
],
"followingPkgs": [
"text"
],
"removeType": [
"0 = AllExcept",
"1 = FollowingPkgs"
]
}
},
"appPackagesAssigned": {
"applicationPackagesAssigned": [
{
"version": "text",
"tagName": "text",
"tagId": 1,
"packageName": "text"
}
]
},
"autoUpgrade": {
"enabled": true,
"startDateTime": "2026-01-01T00:00:00.000Z",
"drainModeDurationInSecs": 1,
"forceLogoffSessions": true,
"repeat": [
"0 = Never",
"1 = EveryDay",
"2 = EveryWeek",
"3 = Every2Weeks",
"4 = EveryMonth",
"5 = EveryYear",
"6 = SpecificDays"
],
"specificDays": [
"0 = Never",
"1 = Sunday",
"2 = Monday",
"4 = Tuesday",
"8 = Wednesday",
"16 = Thursday",
"32 = Friday",
"64 = Saturday"
],
"messages": [
{
"id": 1,
"enabled": true,
"messageTitle": "text",
"message": "text",
"sendMsgSecs": 1,
"sendMsgWhen": [
"0 = Before",
"1 = After"
]
}
]
},
"siteId": 1
}Modify the RD Session Host server default settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.
Site ID for which to update the RD Session Host Default settings (optional)
Update RD Session Hosts default settings
Specifies the RD Session Host agent port number.
Specifies the 'Maximum Sessions' option.
Disconnect active session after (in seconds). Accepted values: 20-1641600 seconds; 0 for 'Never'.
Logoff disconnected session after (in seconds). Accepted values: 20-1641600 seconds; 0 for 'Never'; 1 for 'Immediate'.
URL and Mail Redirection values.
Enable or disable the 'Support Shell URL Namespace Objects' option.
Set the 'Preferred Connection Broker' option to 'Automatically".
falseThe preferred Connection Broker.
Enable or disable the 'Enable Drive Redirection Cache' option.
Enable or disable the 'Allow 2XRemoteExec to send command to the client' option.
Enable or disable the 'Enable application monitoring' option.
Enable or disable the 'Use RemoteApps if available' option.
Deprecated: use FileTransferMode instead. Enable or disable the 'Allow file transfer' option.
File Transfer Control modes.
Location where the File Transfer takes place, if and where it is allowed.
Lock Location where the File Transfer takes place, if and where it is allowed.
Enable or disable the 'Allow local to remote drag and drop' option. (deprecated)
Drag and drop redirection values.
Manage RDP transport protocol.
Printer Name Format
Enable or disable the 'Remove client name from printer name' option.
Enable or disable the 'Remove session number from printer name' option.
User Profile Technology values.
User Profile Disk Mode.
User Profile Disk Roaming Mode.
Specifies the User Profile Disk path.
Specifies the max user profile disk size (in GB).
Specifies the UPD 'Include' folder paths.
Specifies the UPD 'Include' file paths.
Specifies the UPD 'Exclude' folder paths.
Specifies the UPD 'Exclude' file paths.
Enable or disable the 'Restrict direct desktop access to the following users' option. To specify the list of users, use the RestrictedUsers parameter.
Specifies the list of users for the RestrictDesktopAccess option (the option should be enabled). The list can contain User account names and User SIDs.
No Content
No content
Unauthorized
Not Found
PUT /api/RDSDefaultSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 1301
{
"port": 1,
"maxSessions": 1,
"disconnectActiveSessionAfter": 1,
"logoffDisconnectedSessionAfter": 1,
"allowURLAndMailRedirection": [
"0 = Disabled",
"1 = Enabled",
"2 = EnabledWithAppRegistration"
],
"supportShellURLNamespaceObjects": true,
"autoPreferredBroker": false,
"preferredBrokerId": 1,
"enableDriveRedirectionCache": true,
"allowRemoteExec": true,
"enableAppMonitoring": true,
"useRemoteApps": true,
"fileTransferMode": [
"0 = Disabled",
"1 = ClientToServer",
"2 = ServerToClient",
"3 = Bidirectional"
],
"fileTransferLocation": "text",
"fileTransferLockLocation": true,
"dragAndDropMode": [
"0 = Disabled",
"1 = ClientToServer",
"2 = ServerToClient",
"3 = Bidirectional"
],
"manageRDPTransportProtocol": [
"0 = Disabled",
"1 = BothUDPTCP",
"2 = OnlyTCP",
"3 = EitherUDPTCP"
],
"printerNameFormat": [
"0 = PrnFormat_PRN_CMP_SES",
"1 = PrnFormat_SES_CMP_PRN",
"2 = PrnFormat_PRN_REDSES"
],
"removeClientNameFromPrinterName": true,
"removeSessionNumberFromPrinterName": true,
"technology": [
"0 = DoNotManage",
"1 = UPD",
"2 = FSLogix"
],
"updMode": [
"0 = DoNotChange",
"1 = Enabled",
"2 = Disabled"
],
"updRoamingMode": [
"0 = Exclude",
"2 = Include"
],
"upDiskPath": "text",
"maxUserProfileDiskSizeGB": 1,
"includeFolderPath": [
"text"
],
"includeFilePath": [
"text"
],
"excludeFolderPath": [
"text"
],
"excludeFilePath": [
"text"
],
"restrictDesktopAccess": true,
"restrictedUsers": [
"text"
]
}No content